|  | Home | Documentation | params Struct Reference updated by Robert van Engelen |

Public Types | Public Member Functions | Public Attributes | List of all members
params Struct Reference

Represents the <params> of a <methodCall> request and response. More...

`#include <xml-rpc.h>`

Collaboration diagram for params:
[legend]

## Public Types

typedef params_iterator | iterator
typedef params_const_iterator | const_iterator

## Public Member Functions

| params ()
| params (struct soap *)
| params (struct soap *, int)
bool | empty () const
| true if no parameters
int | size () const
| number of parameters
struct value & | operator[] (int)
| parameter index (negative to get from end)
const struct value & | operator[] (int) const
| parameter index (negative to get from end)
params_iterator | begin () const
| parameter accessor iterator begin
params_iterator | end () const
| parameter accessor iterator end

## Public Attributes

int | __size
| number of parameters
struct param * | param
| pointer to array of parameters
struct soap * | soap
| ref to soap struct that manages this type

## Detailed Description

Represents the <params> of a <methodCall> request and response.

## Member Typedef Documentation

## ◆ const_iterator

typedef params_const_iterator params::const_iterator

## ◆ iterator

typedef params_iterator params::iterator

## Constructor & Destructor Documentation

## ◆ params() [1/3]

params::params | ( |  | ) |

## ◆ params() [2/3]

params::params | ( | struct soap * |  | ) |

## ◆ params() [3/3]

params::params | ( | struct soap * | ,
|  | int | )

## Member Function Documentation

## ◆ begin()

params_iterator params::begin | ( |  | ) | const

parameter accessor iterator begin

## ◆ empty()

bool params::empty | ( |  | ) | const

true if no parameters

## ◆ end()

params_iterator params::end | ( |  | ) | const

parameter accessor iterator end

## ◆ operator[]() [1/2]

struct value & params::operator[] | ( | int |  | ) |

parameter index (negative to get from end)

## ◆ operator[]() [2/2]

const struct value & params::operator[] | ( | int |  | ) | const

parameter index (negative to get from end)

## ◆ size()

int params::size | ( |  | ) | const

number of parameters

## Member Data Documentation

## ◆ __size

int params::__size

number of parameters

## ◆ param

struct param* params::param

pointer to array of parameters

## ◆ soap

struct soap* params::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h